<form [formGroup]="form">
  <div class="row">
    <!-- ------------ Naam --------------------------------------- -->
    <div class="form-group col-xs-8">
      <label for="name">Naam</label>

      <input
        type="text"
        formControlName="name"
        placeholder="Onderwijseenheid"
        class="form-control"
        [class.is-invalid]="nameControlInvalid"
        required
        minlength="3"
      />
      <div class="invalid-feedback" *ngIf="nameControlInvalid">
        <p>Naam is een verplicht veld.</p>
      </div>
    </div>

    <div class="form-group col-xs-4">
      <label for="personSelector">Onderwijseenheid eigenaar</label>
      <lib-person-selector
        [currentPersonId]="module?.responsiblePerson?.id"
        (selected)="onPersonSelected($event)"
      ></lib-person-selector>
    </div>
  </div>

  <!-- ------------ Korte beschrijving --------------------------- -->
  <div class="row">
    <div class="form-group col-xs">
      <label for="shortDescription">Korte beschrijving</label>
      <textarea
        rows="3"
        formControlName="shortDescription"
        placeholder="Hier een beschrijving"
        class="form-control"
        [class.is-invalid]="shortDescriptionControlInvalid"
        required
        minlength="3"
      ></textarea>
      <div class="invalid-feedback" *ngIf="shortDescriptionControlInvalid">
        <p>Een korte beschrijving is verplicht.</p>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="form-group col-xs-6">
      <p>Onderdeel van periode.</p>
      <inzicht-course-selector
        [currentCourseId]="module?.course?.id"
        (selected)="onCourseSelected($event)"
      ></inzicht-course-selector>
    </div>

    <div class="form-group col-xs-4">
      <p>Aantal te behalen studiepunten.</p>
      <input
        type="number"
        min="0"
        max="15"
        step="0.1"
        formControlName="credits"
        class="form-control"
        [class.is-invalid]="creditsControlInvalid"
        required
      />
      <div class="invalid-feedback" *ngIf="creditsControlInvalid">
        <p>ECs ligt tussen 0.1 en 15.0.</p>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-xs">
      <section>
        <h2>Bijbehorende BOKS inhoud</h2>
        <p>Selecteer BOKS inhoud bij deze onderwijseenheid.</p>
      </section>
    </div>
  </div>

  <div class="row">
    <div class="col-xs">
      <section>
        <h2>Te realiseren leerdoelen</h2>
        <p>Selecteer de leerdoelen bij deze onderwijs eenheid.</p>
        <inzicht-objective-selector [objectives]="module?.objectives"></inzicht-objective-selector>
      </section>
    </div>
  </div>

  <!-- Display any additional components provided by the calling component. -->
  <ng-content></ng-content>

  <h2>Aanvullende informatie</h2>
  <!-- ------------ Lange beschrijving --------------------------- -->
  <div class="row" style="display: block;">
    <div class="form-group col-xs">
      <label for="longDescription">Toelichting</label>

      <quill-editor
        id="longDescription"
        [style]="{ height: '260px' }"
        formControlName="longDescription"
        placeholder="Toelichting bestemd voor geïnteresseerde studenten"
        [class.is-invalid]="longDescriptionControlInvalid"
        format="html"
        [sanitize]="true"
      >
      </quill-editor>
    </div>
  </div>

  <!-- ------------ Administratieve opmerking --------------------------- -->
  <div class="row">
    <div class="form-group col-xs">
      <label for="administrativeRemark">Administratieve opmerking</label>
      <textarea
        type="text"
        rows="2"
        class="form-control"
        formControlName="administrativeRemark"
        placeholder="Aantekening of opmerking voor intern gebruik."
        class="form-control"
      ></textarea>
    </div>
  </div>

  <!-- ------------ Buttons -------------------------------------- -->
  <div class="row">
    <div class="col-auto">
      <div class="form-group">
        <button
          type="button"
          class="btn btn-success"
          [disabled]="!form.valid && !form.touched"
          *ngIf="!exists"
          (click)="createItem(form)"
        >
          Create item
        </button>

        <button
          type="button"
          class="btn btn-success"
          [disabled]="!form.valid || form.untouched"
          *ngIf="exists"
          (click)="updateItem(form)"
        >
          Update item
        </button>

        <button type="button" class="btn btn-outline-warning" *ngIf="exists" (click)="removeItem(form)">
          Verwijder item
        </button>

        <button type="button" class="btn btn-spacing btn-outline-warning" (click)="onCancel()">
          Cancel
        </button>
      </div>
    </div>
  </div>
</form>

<!-- <pre>{{ form.value | json }}</pre> -->
